package com.bsis.peuplement.model;

public class SiretXY {
    private String siret;
    private String x;
    private String y;
    private double distance;
    //...................................
    // Constructeurs
    //....................................

    public SiretXY(String siret, String x, String y) {
        this.siret = siret;
        this.x = x;
        this.y = y;
    }
    //..................................
    public  SiretXY(){}
    //......................................
    // Getters
    //......................................

    public String getSiret() {
        return siret;
    }

    public String getX() {
        return x;
    }

    public String getY() {
        return y;
    }

    public double getDistance() {
        return distance;
    }
    //..........................................
    // Setters
    //.............................................

    public void setSiret(String siret) {
        this.siret = siret;
    }

    public void setX(String x) {
        this.x = x;
    }

    public void setY(String y) {
        this.y = y;
    }
    public void setDistance(double distance) {
        this.distance = distance;
    }
    //..................................
    // to string
    //..................................


    @Override
    public String toString() {
        return "SiretXY{" +
                "siret='" + siret + '\'' +
                ", x='" + x + '\'' +
                ", y='" + y + '\'' +
                ", distance=" + distance +
                '}';
    }
}
